> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/core-api/virtual-account/open-payment.md).

# Open Payment

```mermaid
sequenceDiagram
    actor Customer
    participant Merchant
    participant Finpay
    participant Bank

    Customer->>Merchant: Choose payment method Bank Virtual Account
    Merchant->>Finpay: request API openpayment/register "va..."
    
    opt inform va number to channel
        Finpay->>Bank: request Create VA
        Bank-->>Finpay: response Create VA
    end
    
    Note over Finpay: insert va number
    Finpay-->>Merchant: response API openpayment/register "va..."
    Merchant-->>Customer: Show VA Number
    
    Customer->>Bank: Pay VA Bank
    Bank->>Finpay: inquiry
    Finpay-->>Bank: response
    Bank->>Finpay: payment
    Finpay-->>Bank: response
    
    Note over Finpay: flagging success
    Finpay->>Merchant: Callback Notification
    Merchant-->>Customer: Show payment success
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/virtual-account/open-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
